
QGIS Application - Bug report #15193

Print composer performance at startup

2016-07-02 12:49 PM - R. R.

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.18.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23132

Description

It takes a very long time to load a print composer with a few hundred items. Loading a map with 10.000+ items only takes a few seconds.

Does the print composer make use of multicore processing? Is there any need to load print composers at startup?

Associated revisions

Revision 339d0616 - 2016-07-05 05:35 AM - Nyall Dawson

Use QgsCRSCache instead of looking up CRS by srs id (refs #15193)

Revision c60a73cb - 2017-03-21 01:32 AM - Nyall Dawson

[composer] Composer windows are created on demand and destroyed on close

Avoids having to create a window and all widgets for every

composition when loading a project. Speeds up loading

projects.

Fix #15193

History

#1 - 2016-07-03 10:49 AM - R. R.

- File composer_svg_export.mp4 added

Opening the exported print composer (.svg) is much faster than loading the print composer in QGIS (see composer_svg_export.mp4).

#2 - 2016-07-04 08:36 PM - Nyall Dawson

I've pushed a small improvement - the rest needs to wait until the API break and can't be done for 2.x

#3 - 2016-07-12 12:23 PM - R. R.

- Target version set to Version 3.0

Hi Nyall, is the small improvement already implemented in QGIS 2.16.0?
#4 - 2016-10-07 06:13 AM - Kilian Hagemann

I think this is a duplicate of #10828, perhaps the OP could confirm this

#5 - 2017-03-07 01:26 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Affected QGIS version changed from 2.14.3 to 2.18.4

- Target version deleted (Version 3.0)

Reinhard Reiterer wrote:

Hi Nyall, is the small improvement already implemented in QGIS 2.16.0?

with the provided (privately) dataset and project I was able to open it in a very resonable amount of time under Linux with 2.18.4, while on Windows (same

machine) I was not. On the other hand on qgis master (qgis3) on Windows the project opens in a very resonable amount of time. I have seen this

improvement in master also in other projects/tickets. I would assume that is in QGIS 3 that this issue was solved.

Nyall a word on this? Thanks!

#6 - 2017-03-07 03:00 AM - Nyall Dawson

Maybe slightly better in master, but I've got some big fixes for this coming soon (next 2 weeks). Until then we should leave this open.

#7 - 2017-03-07 03:08 AM - Giovanni Manghi

- Status changed from Feedback to Open

#8 - 2017-03-20 10:19 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"c60a73cb9a6bd552a0991614aa7993b2fcd20f1f".

Files

composer.mp4 4.18 MB 2016-07-02 R. R.

composer.qgs 432 KB 2016-07-02 R. R.

composer_svg_export.mp4 3.72 MB 2016-07-03 R. R.
